%define url_ver %(echo %{version}|cut -d. -f1,2)

Name:           gnome-battery-bench
Version:        3.15.4
Release:        1
Summary:        Measure power usage in defined scenarios

License:        GPLv2+
Group:          Graphical desktop/GNOME
URL:            https://git.gnome.org/browse/%{name}
Source0:        https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz

BuildRequires: asciidoc
BuildRequires: desktop-file-utils
BuildRequires: xmlto
BuildRequires: pkgconfig(gio-unix-2.0)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(json-glib-1.0)
BuildRequires: pkgconfig(libevdev)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(xtst)

%description
This application is designed for measuring power usage. It does it by
recording the reported battery statistics as it replays recorded event
logs, and then using that to estimate power consumption and total
battery lifetime.

%prep
%setup -q


%build
%configure2_5x
%make


%install
%makeinstall_std

desktop-file-validate %{buildroot}/%{_datadir}/applications/org.gnome.BatteryBench.desktop

%files
%doc README COPYING
%{_bindir}/%{name}
%{_bindir}/gbb
%{_datadir}/%{name}
%{_datadir}/applications/org.gnome.BatteryBench.desktop
%{_datadir}/dbus-1/services/org.gnome.BatteryBench.service
%{_datadir}/dbus-1/system-services/org.gnome.BatteryBench.Helper.service
%{_datadir}/polkit-1/actions/org.gnome.BatteryBench.Helper.policy
%{_libexecdir}/gnome-battery-bench-helper
%{_mandir}/man1/gbb.1*
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/org.gnome.BatteryBench.Helper.conf


%changelog

* Wed Mar 25 2015 Tigro <ashejn@yandex-team.ru> 3.15.4-1
- (f1a3c4c) clean up spec


